%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name HTML_QuickForm

Name:           php-pear-HTML-QuickForm
Version:        3.2.9
Release:        1%{?dist}
Summary:        Class for creating, validating, processing HTML forms

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/HTML_QuickForm
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) php-pear(HTML_Common) >= 1.2.1
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
The HTML_QuickForm package provides methods to dynamically create, validate
and render HTML forms.

Features:
* More than 20 ready-to-use form elements.
* XHTML compliant generated code.
* Numerous mixable and extendable validation rules.
* Automatic server-side validation and filtering.
* On request javascript code generation for client-side validation.
* File uploads support.
* Total customization of form rendering.
* Support for external template engines (ITX, Sigma, Flexy, Smarty).
* Pluggable elements, rules and renderers extensions.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
install -pm 644 -c %{SOURCE1} LICENSE
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE %{pear_name}-%{version}/docdir/%{pear_name}/docs
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/HTML/QuickForm*


%changelog
* Mon Jul 02 2007 Christopher Stone <chris.stone@gmail.com> 3.2.9-1
- Upstream sync
- Update license file

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 3.2.7-3
- Use correct version of license

* Mon Nov 13 2006 Christopher Stone <chris.stone@gmail.com> 3.2.7-2
- Include PHP License in %%doc
- Add versioned Requires

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 3.2.7-1
- Initial Release
